找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
热搜: 活动 交友 discuz
查看: 145|回复: 0

[每日一码] 用ARX创建线型

[复制链接]

0

主题

0

回帖

28

积分

管理员

积分
28
发表于 2024-3-14 20:17:15 | 显示全部楼层 |阅读模式
  1. // Creates a new linetype and adds in to the linetype table
  2.   //-----------------------------------------------------------
  3.   static void createLinetype()
  4.   {
  5.     AcDbLinetypeTable *pLtypeTable = NULL ;
  6.     // Get the linetype table from the drawing
  7.     if( acdbHostApplicationServices()->workingDatabase()->getLinetypeTable(
  8.                                       pLtypeTable, AcDb::kForWrite) ==Acad::eOk )
  9.     {
  10.       AcDbLinetypeTableRecord *pLtypeTableRecord = new AcDbLinetypeTableRecord;
  11.       // Set all of the properties of the linetype table record
  12.       pLtypeTableRecord->setAsciiDescription(采用T("T E S T -"));
  13.       pLtypeTableRecord->setPatternLength(0.75);
  14.       pLtypeTableRecord->setNumDashes(2);
  15.       pLtypeTableRecord->setDashLengthAt(0, 0.5);
  16.       pLtypeTableRecord->setDashLengthAt(1,-0.25);
  17.       pLtypeTableRecord->setName(采用T("T采用E采用S采用T"));
  18.       AcDbObjectId tmpId;
  19.       // Add the new linetype to the linetype table
  20.       if(pLtypeTable->add(tmpId, pLtypeTableRecord)==Acad::eOk)
  21.       {
  22.         pLtypeTableRecord->close();
  23.         acutPrintf(采用T("\nNew linetype successfully created."));
  24.       }
  25.       else
  26.       {
  27.         delete pLtypeTableRecord;
  28.         acutPrintf(采用T("\nCannot add new linetype to the drawing."));
  29.       }
  30.       pLtypeTable->close();
  31.     }
  32.   } // end of createLinetype()
复制代码
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

Archiver|手机版|小黑屋|膜结构网

GMT+8, 2024-12-29 05:11 , Processed in 0.131064 second(s), 22 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表